| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiPython::TupleAlgDecorator Class Reference

`#include <GaudiPython/TupleDecorator.h>`

List of all members.

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/Reflex.

Author:
  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2005-08-17

Definition at line 450 of file TupleDecorator.h.

## Static Public Member Functions
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand)

## Member Function Documentation

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 602 of file TupleDecorator.cpp.

    00605 {
    00606   return algo.nTuple ( title , clid ) ;
    00607 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 610 of file TupleDecorator.cpp.

    00614 {
    00615   return algo.nTuple ( ID , title , clid ) ;
    00616 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 619 of file TupleDecorator.cpp.

    00623 {
    00624   return algo.nTuple ( ID , title , clid ) ;
    00625 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 628 of file TupleDecorator.cpp.

    00632 {
    00633   return algo.nTuple ( ID , title , clid ) ;
    00634 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 637 of file TupleDecorator.cpp.

    00640 {
    00641   return algo.evtCol ( title , clid ) ;
    00642 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 645 of file TupleDecorator.cpp.

    00649 {
    00650   return algo.evtCol ( ID , title , clid ) ;
    00651 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 654 of file TupleDecorator.cpp.

    00658 {
    00659   return algo.evtCol ( ID , title , clid ) ;
    00660 }

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple` |
| ) |  |  | `[static]`

get n-tuple (book-on-demand)

Definition at line 663 of file TupleDecorator.cpp.

    00667 {
    00668   return algo.evtCol ( ID , title , clid ) ;
    00669 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/GaudiPython/TupleDecorator.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPython/src/Lib/TupleDecorator.cpp